Skip to main content
POST
/
api
/
v0
/
repositories
/
{repo_id}
/
finding-views
Create a new finding view.
curl --request POST \
  --url https://api.example.com/api/v0/repositories/{repo_id}/finding-views \
  --header 'Content-Type: application/json' \
  --data '
{
  "personal": true,
  "name": "<string>",
  "filter": "<string>",
  "description": "<string>",
  "columns": []
}
'
import requests

url = "https://api.example.com/api/v0/repositories/{repo_id}/finding-views"

payload = {
"personal": True,
"name": "<string>",
"filter": "<string>",
"description": "<string>",
"columns": []
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
personal: true,
name: '<string>',
filter: '<string>',
description: '<string>',
columns: []
})
};

fetch('https://api.example.com/api/v0/repositories/{repo_id}/finding-views', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}

Path Parameters

repo_id
string<uuid>
required

Body

application/json
personal
boolean
required
name
string
required
filter
string
required
description
string | null
columns
enum<string>[] | null
Available options:
number,
title,
status,
severity,
commented_at,
created_by,
reward,
assigned_to,
labels,
likelihood,
note

Response

Finding view created

id
string<uuid>
required